# Bluesquare Hooks

This repository contains a collection of git hooks that can be used to enforce code quality and best practices in your Laravel projects.

It automatically installs git hooks.

## Installation

Edit your `composer.json` file to include the following script and repository:

```
"require-dev": {
    "bluesquare/hooks": "dev-main"
},
"scripts": {
    "post-autoload-dump": [
        "[ $COMPOSER_DEV_MODE -eq 0 ] || @php artisan hooks:install"
    ],
},
"repositories": [
    {
        "type": "vcs",
        "url": "https://git.bluesquare.io/bluesquare/hooks.git"
    }
]
```

Then run:

```bash
composer update bluesquare/hooks --dev
```
